# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    # Declaring local variables

    # Installing the software
    install_exe_if_needed(
        "pdftkb_setup.exe",
        silentflags="/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-",
        key="PDFTK Builder_is1",
        min_version=control.get_software_version(),
        get_version=get_version
    )


def get_version(app_registry_dict):
    return app_registry_dict["name"].split(" ")[-1]
